
;******************************************************************************
; (C) Copyright 1992-1994, SuperMac Technology, Inc.
; All rights reserved.
;
; This source code and any compilation or derivative thereof is the sole
; property of SuperMac Technology, Inc. and is provided pursuant to a
; Software License Agreement.  This code is the proprietary information
; of SuperMac Technology and is confidential in nature.  Its use and
; dissemination by any party other than SuperMac Technology are strictly
; limited by the confidential information provisions of the Agreement
; referenced above.
;
; Revision 1.0  04/08/94  14:01:05  jpe
; Initial revision.
; -----------------------------------------------------------------------------
; Revision 1.5.0 - Atari Corp. (SDS)
; Removed time calculation and Object List Update from 68k Handler. Both
; are now handled by the GPU.
;******************************************************************************

		.include	'memory.inc'
		.include	'player.inc'
		.include	'jaguar.inc'

		.globl		IntInit
		.globl		runframes

		.extern		semaphore
		.extern		scrbuf
IntInit:
		move.l	#(SCREEN_BASE+$8),scrbuf

		clr.l	runframes
		move.l	#IntSvce,USER0 		; Set up the vector
		move.w	#$1F02,INT1    		; Enable GPU (Clear any others)	

		rts

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Procedure: IntSvce
;            Service 68k Video/GPU Interrupts
;

IntSvce:
		move.l	a0,-(sp)

; GPU interrupt: Set semaphore to wake up main program.

		lea	semaphore,a0
		move.w	#$ffff,(a0)    		; Set semaphore

		move.w	#$202,INT1
		move.w	#$0,INT2

		move.l	(sp)+,a0
		rte

		.bss
		.long

runframes:	.ds.l	1			; # of frames since start

	        .end
